%define anolis_release 2

Name:           libatasmart
Version:        0.19
Release:        %{anolis_release}%{?dist}
Summary:        ATA S.M.A.R.T. Reading and Parsing Library

License:        LGPLv2+
URL:            https://git.0pointer.net/libatasmart.git/
Source0:        http://0pointer.de/public/libatasmart-%{version}.tar.xz 

BuildRequires:  gcc
BuildRequires:  systemd-devel
BuildRequires:  make

%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development Files for libatasmart Client Development
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: vala

%description devel
Development Files for libatasmart Client Development

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%makeinstall
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;
rm %{buildroot}%{_docdir}/libatasmart/README

%files
%doc LGPL
%{_libdir}/libatasmart.so.*
%{_sbindir}/skdump
%{_sbindir}/sktest

%files doc
%doc README

%files devel
%doc blob-examples/
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi

%changelog
* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.19-2
- add doc package

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.19-1
- Initial packaging for Anolis OS 23
